package com.greenorange.promotion.model.dto.user;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

import java.io.Serializable;

/**
 * 用户登录请求体
 */
@Data
@Schema(description = "用户登录请求体", requiredProperties = {"userAccount", "userPassword"})
public class UserInfoLoginRequest implements Serializable {

    /**
     * 账号
     */
    @NotBlank(message = "账号不能为空")
    @Schema(description = "账号", example = "${field.example}")
    private String userAccount;

    /**
     * 密码
     */
    @NotBlank(message = "密码不能为空")
    @Schema(description = "密码", example = "${field.example}")
    private String userPassword;

}
